package com.bernard.greposimu.model.game;

import java.util.Objects;

public class God implements Identified,Comparable<God>{

	String id;
	String name;
	
	public God(String id, String name) {
		this.id = id;
		this.name = name;
	}
	
	@Override
	public String getId() {
		return id;
	}
	
	public String getName() {
		return name;
	}

	@Override
	public int compareTo(God o) {
		return this.getId().compareTo(o.getId());
	}

	@Override
	public int hashCode() {
		return Objects.hash(id);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		God other = (God) obj;
		return Objects.equals(id, other.id);
	}

	@Override
	public String toString() {
		return "God [id=" + id + ", name=" + name + "]";
	}
	
	
}
